clang-tools 6.0.0

Namespaces | Functions
add_new_check.py File Reference

Go to the source code of this file.

## Namespaces
| add_new_check

## Functions
def | add_new_check.adapt_cmake (module_path, check_name_camel)
def | add_new_check.write_header (module_path, module, check_name, check_name_camel)
def | add_new_check.write_implementation (module_path, module, check_name_camel)
def | add_new_check.adapt_module (module_path, module, check_name, check_name_camel)
def | add_new_check.add_release_notes (module_path, module, check_name)
def | add_new_check.write_test (module_path, module, check_name)
def | add_new_check.update_checks_list (clang_tidy_path)
def | add_new_check.write_docs (module_path, module, check_name)
def | add_new_check.main ()